> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get policy premium projection

> Returns the calendar and policy premium projection of the policy calculated at the individual signature date



## OpenAPI

````yaml /openapi.json get /policies/{policyId}/premium-projection
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /policies/{policyId}/premium-projection:
    get:
      tags:
        - policy
      summary: Get policy premium projection
      description: >-
        Returns the calendar and policy premium projection of the policy
        calculated at the individual signature date
      operationId: PolicyController_getPremiumProjection
      parameters:
        - name: policyId
          required: true
          in: path
          description: the policy id
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPremiumProjectionOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidProductErrorDto'
              examples:
                INVALID_PRODUCT:
                  $ref: '#/components/schemas/InvalidProductErrorDto'
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PolicyNotFoundErrorDto'
                  - $ref: '#/components/schemas/PremiumProjectionNotFoundErrorDto'
              examples:
                POLICY_NOT_FOUND:
                  $ref: '#/components/schemas/PolicyNotFoundErrorDto'
                PREMIUM_PROJECTION_NOT_FOUND:
                  $ref: '#/components/schemas/PremiumProjectionNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetPremiumProjectionOutput:
      type: object
      properties:
        premiumProjection:
          description: Premium projection
          type: array
          items:
            $ref: '#/components/schemas/PremiumOnIntervalDto'
      required:
        - premiumProjection
    InvalidProductErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PRODUCT
        message:
          type: string
          example: Invalid product {product}
        details:
          $ref: '#/components/schemas/InvalidProductDetailsDto'
      required:
        - code
        - message
        - details
    PolicyNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - POLICY_NOT_FOUND
        message:
          type: string
          example: Policy {policyId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/PolicyNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    PremiumProjectionNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PREMIUM_PROJECTION_NOT_FOUND
        message:
          type: string
          example: Premium projection not found for policy id {policyId}
        details:
          $ref: '#/components/schemas/PremiumProjectionNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    PremiumOnIntervalDto:
      type: object
      properties:
        startAt:
          format: date-time
          type: string
        endAt:
          format: date-time
          type: string
        components:
          type: array
          items:
            $ref: '#/components/schemas/ComponentDto'
        premium:
          $ref: '#/components/schemas/AmountDto'
      required:
        - startAt
        - endAt
        - premium
    InvalidProductDetailsDto:
      type: object
      properties:
        tenant:
          type: string
        product:
          type: string
        expectedProduct:
          type: string
      required:
        - product
    PolicyNotFoundDetailsDto:
      type: object
      properties:
        policyId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - policyId
    PremiumProjectionNotFoundDetailsDto:
      type: object
      properties:
        policyId:
          type: string
      required:
        - policyId
    ComponentDto:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PREMIUM
            - PERIL
            - FEE
            - TAX
            - SPECIAL
        premium:
          $ref: '#/components/schemas/AmountDto'
      required:
        - id
        - type
        - premium
    AmountDto:
      type: object
      properties:
        amountPreFeesAndTaxes:
          type: integer
        fees:
          type: array
          items:
            $ref: '#/components/schemas/FeeDto'
        totalFees:
          type: integer
        amountWithFeesPreTaxes:
          type: integer
        taxes:
          type: array
          items:
            $ref: '#/components/schemas/TaxDto'
        totalTaxes:
          type: integer
        amountWithFeesAndTaxes:
          type: integer
      required:
        - amountPreFeesAndTaxes
        - fees
        - totalFees
        - amountWithFeesPreTaxes
        - taxes
        - totalTaxes
        - amountWithFeesAndTaxes
    FeeDto:
      type: object
      properties:
        id:
          type: string
        brokerageFirmId:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount
    TaxDto:
      type: object
      properties:
        id:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount

````